Summary:	An AppArmor applet for Gnome
Name:		apparmor-applet-gnome
Version:	0.9
Epoch:		1
Release:	%mkrel 5
License:	GPL
Group:		Graphical desktop/GNOME
URL:		http://forge.novell.com/modules/xfmod/project/?apparmor
# upstream typo (missing -)
Source0:	apparmorapplet-gnome-%{version}.tar.bz2
Patch0:		apparmorapplet-gnome-0.9-build-fix.patch
BuildRequires:  libpanel-applet-2-devel
BuildRequires:  libaudit-devel
BuildRequires:  libglade2-devel
BuildRequires:  pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
AppArmor is a security framework that proactively protects the operating system
and applications.

This package contains an AppArmor applet for Gnome.


%prep
%setup -q -n apparmorapplet-gnome-%{version}
%patch0 -p1 

%build
%serverbuild
%configure2_5x --libdir=%{_prefix}/lib
%make

%install
rm -rf %{buildroot}

%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_prefix}/lib/bonobo/servers/*
%{_libexecdir}/apparmorapplet
%{_datadir}/pixmaps/*



%changelog
* Fri Apr 09 2010 Funda Wang <fwang@mandriva.org> 1:0.9-5mdv2010.1
+ Revision: 533389
- use /usr/lib aas libdir
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.9-4mdv2010.1
+ Revision: 521350
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.9-3mdv2010.0
+ Revision: 413031
- rebuild

  + Christophe Fergeau <cfergeau@mandriva.com>
    - fix compilation

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.9-2mdv2009.1
+ Revision: 301000
- rebuilt against new libxcb

* Wed Aug 06 2008 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 1:0.9-1mdv2009.0
+ Revision: 264751
- updated to version 0.9

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1:0.8-2mdv2009.0
+ Revision: 222526
- buildrequires libglade2-devel
- rebuild

* Wed Feb 27 2008 Andreas Hasenack <andreas@mandriva.com> 1:0.8-1mdv2008.1
+ Revision: 175876
- updated apparmor-applet-gnome to 0.8 (had to use epoch, sorry, previous version was 2.1 upstream)
- copied apparmor into apparmorapplet-gnome

* Thu Jan 17 2008 Thierry Vignaud <tv@mandriva.org> 2.1-1.1076.2mdv2008.1
+ Revision: 154124
- rebuild for new perl

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 2.1-1.1076.1mdv2008.1
+ Revision: 146893
- updated to svn revision 1076

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.5mdv2008.0
+ Revision: 91191
- remove more profiles from standard package: they are shipped in their own packages now

* Wed Sep 19 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.4mdv2008.0
+ Revision: 91061
- drop rpcbind profile, it's shipped in the rpcbind package now

* Fri Sep 14 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.3mdv2008.0
+ Revision: 85766
- bonobo file is under a noarch libdir
- build dbus and gnome applet packages

* Fri Sep 14 2007 Andreas Hasenack <andreas@mandriva.com> 2.1-1.961.1mdv2008.0
+ Revision: 85546
- install perl module in arch dir as the makefile does for x86_64 (doesn't seem right, though)
- make it not require an installed libapparmor-devel to build
- added swig to buildrequires
- added profile for rpcbind
- fix default syslog profile
- obsolete apparmor-docs (manpages are in each package now)
- better place for the LibAppArmor module
- build apache-mod_apparmor package
- install LibAppArmor.pm
- added utils subpackage
- Import apparmor

